Subject: [Ietf-krb-wg] Anyone want to confirm some test vectors for KRB-FX-CF2

From: Sam Hartman <[email-masked]>
Date: Fri, 27 Feb 2009 13:16:30 -0500

Hi.  For my PRF and CF2 tests, I generate the initial keys by taking
some string and running string2key with that string as both the salt
and the password.  So, if I say the key for the test is "key1" I mean
the output of string2key(password = "key1", salt = "key1")

I'd appreciate if someone would independently verify the following results:

enctype: aes128
key1: key1
key2: key2
pepper1: a
pepper2: b
result: 97df97e4b798b29eb31ed7280287a92a

enctype: aes256
key1: key1
key2: key2
pepper1: a
pepper2: b
result: 4d6ca4e629785c1f01baf55e2e548566b9617ae3a96868c337cb93b5e72b1c7b
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg